Subject: [Gen-art] Genart telechat review of draft-ietf-doh-dns-over-https-13

From: Stewart Bryant <[email-masked]>
Date: Tue, 14 Aug 2018 04:19:06 -0700

Reviewer: Stewart Bryant
Review result: Ready

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair. Please wait for direction from your
document shepherd or AD before posting a new version of the draft.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-doh-dns-over-https-13
Reviewer: Stewart Bryant
Review Date: 2018-08-14
IETF LC End Date: 2018-08-08
IESG Telechat date: 2018-08-16

Summary:

This is useful work, it is well written  and is ready for publication

Major issues: None

Minor issues: None

Nits/editorial comments:

I accept that I am going to be in the rough, but I do not like the term "on the
wire".

My recollection from my hardware days is that the output shift register sends
the data in such a way that if I were to put an oscilloscope on the wire, the
bit patterns would not match those shown in this text. What I think are
presented in the text are raw RFC1035 messages in network byte order.